<form method ='post' action="{% url 'profile:complaint' %}" >

    {% csrf_token %}
    <div class="form-row">
        <div class="form-group col-md-6">
            <label for="{{ form.name.id_for_label }}">Nama</label>
            <input type="text" placeholder="Masukkan nama anda..."
                class="form-control {% if form.name.errors %}is-invalid{% endif %}"
                name="{{ form.name.name }}"
                id="{{ form.name.id_for_label }}" 
                maxlength="{{ form.name.field.max_length }}"
                {% if form.name.value != None %}value="{{ form.name.value|stringformat:'s' }}"{% endif %}
                {% if form.name.field.required %}required{% endif %} >
            {% if form.name.errors %}
                <div class="invalid-feedback">
                    {{ form.name.errors }}
                </div>
            {% endif %}
        </div>

        <div class="form-group col-md-6">
            <label for="{{ form.email.id_for_label }}">Email</label>
            <input type="email" placeholder="name@example.com"
                class="form-control {% if form.email.errors %}is-invalid{% endif %}"
                name="{{ form.email.name }}"
                id="{{ form.email.id_for_label }}" 
                maxlength="{{ form.email.field.max_length }}"
                {% if form.email.value != None %}value="{{ form.email.value|stringformat:'s' }}"{% endif %}
                {% if form.email.field.required %}required{% endif %} >
            {% if form.email.errors %}
                <div class="invalid-feedback">
                    {{ form.email.errors }}
                </div>
            {% endif %}
        </div>
    </div>

    <div class="form-row">
        <div class="form-group col-md-6">
            <label for="{{ form.phone.id_for_label }}">Nomor Telepon</label>
            <input type="number" placeholder="Masukkan nomor telepon anda (opsional)..."
                class="form-control {% if form.phone.errors %}is-invalid{% endif %}"
                name="{{ form.phone.name }}"
                id="{{ form.phone.id_for_label }}" 
                maxlength="{{ form.phone.field.max_length }}"
                {% if form.phone.value != None %}value="{{ form.phone.value|stringformat:'s' }}"{% endif %}
                {% if form.phone.field.required %}required{% endif %} >
            {% if form.phone.errors %}
                <div class="invalid-feedback">
                    {{ form.phone.errors }}
                </div>
            {% endif %}
        </div>

        <div class="form-group col-md-6">
            <label for="{{ form.subject.id_for_label }}">Judul</label>
            <input type="text" placeholder="Masukkan judul pengaduan..."
                class="form-control {% if form.subject.errors %}is-invalid{% endif %}"
                name="{{ form.subject.name }}"
                id="{{ form.subject.id_for_label }}" 
                maxlength="{{ form.subject.field.max_length }}"
                {% if form.subject.value != None %}value="{{ form.subject.value|stringformat:'s' }}"{% endif %}
                {% if form.subject.field.required %}required{% endif %} >
            {% if form.subject.errors %}
                <div class="invalid-feedback">
                    {{ form.subject.errors }}
                </div>
            {% endif %}
        </div>
    </div>
    <div class="form-group">
        <label for="{{ form.message.id_for_label }}">Pesan</label>
        <textarea type="message" placeholder="Masukkan pesan anda..." rows="4"
            class="form-control {% if form.message.errors %}is-invalid{% endif %}"
            name="{{ form.message.name }}"
            id="{{ form.message.id_for_label }}" 
            maxlength="{{ form.message.field.max_length }}"
            {% if form.message.value != None %}value="{{ form.message.value|stringformat:'s' }}"{% endif %}
            {% if form.message.field.required %}required{% endif %} ></textarea>
        {% if form.message.errors %}
            <div class="invalid-feedback">
                {{ form.message.errors }}
            </div>
        {% endif %}
    </div>

    <div class="form-group">
        <label>Masukan Captcha</label>
        <div id="captcha_purel" alt="{% url 'profile:captcha_refresh' %}">{{captcha.captcha}}
            <a href="#void" class="btn btn-info btn-sm ml-1 my-auto refresh-captcha captcha-refresh" title="Refresh Captcha"><i class="bi bi-bootstrap-reboot"></i></a>
        </div>
    </div>
    <button type="submit" class="btn btn-success"><i class="bi bi-send"></i> Kirim Pengaduan</button>
</form>